package llm

import (
    "context"
    "github.com/cloudwego/eino/schema"
)

type Service interface {
    Chat(ctx context.Context, input []*schema.Message, opts Options) (*schema.Message, error)
    ChatStream(ctx context.Context, input []*schema.Message, opts Options) (*schema.StreamReader[*schema.Message], error)
    Vision(ctx context.Context, input []*schema.Message, opts Options) (*schema.Message, error)
    Intent(ctx context.Context, input []*schema.Message, opts Options) (*schema.Message, error)
}

